# PlateauKit

[![PyPI](https://img.shields.io/pypi/v/plateaukit.svg)](https://pypi.org/project/plateaukit/)
<!-- [![PyPI downloads](https://img.shields.io/pypi/dm/plateaukit.svg)](https://pypistats.org/packages/plateaukit) -->

> Python library and converter for 3D city models by MLIT Project PLATEAU

PlateauKit は、<a href="https://www.mlit.go.jp/plateau/" target="_blank">国土交通省PLATEAUプロジェクト</a> 3D都市モデルのPythonライブラリおよび変換ツールです。(WIP)

**ドキュメント Documentation:** <https://ozekik.github.io/plateaukit/>

## 機能 Features

- [x] PLATEAUデータセットのインストール・管理
- [x] 並列処理でのデータ変換
- [x] citygml-tools / citygml4j (Java) に依存せずCityJSONを生成 (一部)
- [ ] JupyterLab / Jupyer Notebookでの3D都市モデル表示 (LOD1/2)

## インストール Install

- [**PlateauKitのインストール**](https://ozekik.github.io/plateaukit/install/)

## ロードマップ Roadmap

- [ ] ドキュメントの整備
- [ ] データセットの軽量版のバンドルを提供
- [ ] ファイル分割の平均化
- [ ] テストの作成

## その他のツール・ライブラリ Alternatives

- [plateaupy](https://github.com/AcculusSasao/plateaupy)
  - [rhenerose/plateaupy](https://github.com/rhenerose/plateaupy)
- [raokiey/plateau-geo-tools](https://github.com/raokiey/plateau-geo-tools)
